API referencePayout schedules

Replace who gets paid

Applies from the next run. Past runs keep the batch they produced.

PUT
/api/b/v1/payout-schedules/{schedule_id}/lines

Applies from the next run. Past runs keep the batch they produced.

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

Path Parameters

schedule_id*Schedule Id
Formatuuid
admin_access_token?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Replace a schedule's lines. IN-302.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/b/v1/payout-schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08/lines" \  -H "Content-Type: application/json" \  -d '{    "lines": [      {        "amount_minor": "15000000",        "method": "mobile_money",        "transaction_type": "b2p"      }    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "currency": "string",  "cadence": "daily",  "status": "active",  "day_of_month": 0,  "day_of_week": 0,  "run_hour": 0,  "run_minute": 0,  "timezone": "string",  "line_count": 0,  "total_minor": 158000000,  "next_run_at": "2019-08-24T14:15:22Z",  "last_run_at": "2019-08-24T14:15:22Z",  "ends_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}